org.apache.ignite.internal.processors.cache.jta

## Class CacheJtaManagerAdapter

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter
  - - org.apache.ignite.internal.processors.cache.jta.CacheJtaManagerAdapter

All Implemented Interfaces:
  GridCacheSharedManager

Direct Known Subclasses:
  CacheNoopJtaManager

    public abstract class CacheJtaManagerAdapter
    extends GridCacheSharedManagerAdapter

Provides possibility to integrate cache transactions with JTA.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter

`cctx, log`

### Constructor Summary

Constructors
Constructor and Description
`CacheJtaManagerAdapter()`

### Method Summary

Methods
`abstract void` `checkJta()` Checks if cache is working in JTA transaction and enlist cache as XAResource if necessary.
`abstract void` `registerCache(CacheConfiguration<?,?> cfg)`
`abstract Object` `tmLookup()` Gets transaction manager finder.

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter

`context, kernalStartInfo, kernalStopInfo, log, onDisconnected, onKernalStart, onKernalStart0, onKernalStop, onKernalStop0, printMemoryStats, start, start0, startInfo, stop, stop0, stopInfo, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheJtaManagerAdapter

    public CacheJtaManagerAdapter()

### Method Detail

#### checkJta

    public abstract void checkJta()
                           throws IgniteCheckedException

Checks if cache is working in JTA transaction and enlist cache as XAResource if necessary.

Throws:
  `IgniteCheckedException` - In case of error.

#### registerCache

    public abstract void registerCache(CacheConfiguration<?,?> cfg)
                                throws IgniteCheckedException

Parameters:
  `cfg` - Cache configuration.
Throws:
  `IgniteCheckedException` - If `CacheConfiguration.getTransactionManagerLookupClassName()` is incompatible with another caches or `TransactionConfiguration.getTxManagerLookupClassName()`.

#### tmLookup

    @Nullable
    public abstract Object tmLookup()

Gets transaction manager finder. Returns Object to avoid dependency on JTA library. Used only in test purposes.

Returns:
  Transaction manager finder.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016